var win = Ti.UI.currentWindow;

var v = Ti.UI.createView({
	backgroundColor: "green",
	height: "100dp", width: "100dp"
});
win.add(v);

var transforms = [];
var baseMatrix = Ti.UI.create2DMatrix();

function buildTransforms() {
	transforms.push(baseMatrix.rotate(20));
	transforms.push(baseMatrix.rotate(40));
	transforms.push(baseMatrix.rotate(60));
	transforms.push(baseMatrix.rotate(80));
	transforms.push(baseMatrix.rotate(100));
	transforms.push(baseMatrix.rotate(120));
	transforms.push(baseMatrix.rotate(140));
	transforms.push(baseMatrix.rotate(0));
}

var animation = Ti.UI.createAnimation({
	duration: 500
});

function doAnimation() {
	if (transforms.length) {
		var transform = transforms.shift();

		if (transforms.length == 0) {
			buildTransforms();
		}

		animation.transform = transform;
		v.animate(animation);
	}
}

var btnClose = Ti.UI.createButton({
	title: "Close",
	top: "10dp",
	height: "40dp",
	left: "10dp", width: "120dp"
});

btnClose.addEventListener("click", function() {
	win.close();
});
win.add(btnClose);

buildTransforms();

animation.addEventListener("complete", doAnimation);
doAnimation();

win.add(Ti.UI.createLabel({
	bottom: "5dp", backgroundColor: "blue",
	color: "yellow", left: "0dp", right: "0dp",
	text: "Should do 7 little rotations clockwise, then roll back to original. Then continuously repeat."
}));
