var win = Ti.UI.currentWindow; 

var box = Ti.UI.createView({
    backgroundColor: 'blue',
    width: 100, height: 100
});
win.add(box);
 
var shrink = Ti.UI.createAnimation({
    transform: Ti.UI.create2DMatrix().scale(0.2, 0.2),
    duration: 500
});
function doShrink() {
    box.animate(shrink);
}
shrink.addEventListener('complete', doGrow);
 
var grow = Ti.UI.createAnimation({
    transform: Ti.UI.create2DMatrix().scale(1.8, 1.8),
    duration: 500
});
function doGrow() {
    box.animate(grow);
}
grow.addEventListener('complete', doShrink);
 
win.addEventListener('open', doShrink);


var btnClose = Ti.UI.createButton({
	title: "Close",
	top: "10dp",
	height: "40dp",
	left: "10dp", width: "120dp"
});
btnClose.addEventListener("click", function() {
	win.close();
});
win.add(btnClose);

if (Ti.Platform.osname=="iphone") {
	var btnAnimate = Ti.UI.createButton({
		title: "Animate",
		top: "55dp", height: "40dp",
		left: "10dp", width: "120dp"
	});
	btnAnimate.addEventListener("click", function() {
		btnAnimate.enabled = false;
		doShrink();
	});
	win.add(btnAnimate);
}
 
win.open();

win.add(Ti.UI.createLabel({
	bottom: "5dp", backgroundColor: "blue",
	color: "yellow", left: "0dp", right: "0dp",
	text: "Should grow/shrink continuously. On 2.3 and below Android devices, unfortunately a blip in between which we haven't conquered yet.  On 3.x and above, should be no blip."
}));
